Resolve Trade Context
curl --request GET \
--url https://api.example.com/api/graph/v1/trade-contexts/{context_id}import requests
url = "https://api.example.com/api/graph/v1/trade-contexts/{context_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/trade-contexts/{context_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract_version": "trade-context-v1",
"context_id": "<string>",
"revision": 2,
"execution_effect": "none",
"event_ref": {
"id": "<string>",
"revision": 2
},
"setup": {
"pattern_id": "<string>",
"pattern_version": 2,
"family": "<string>",
"direction": 123,
"grain": "<string>"
},
"chart": {
"session_ref": {
"id": "<string>",
"revision": 2,
"revision_hash": "<string>"
},
"symbol": "<string>",
"interval": "1m",
"visible_range": {
"from_time": 2,
"to_time": 2
},
"chart_type": "area",
"focused_event_ref": {
"id": "<string>",
"revision": 2
},
"timezone": "<string>",
"selected_range": {
"from_time": 2,
"to_time": 2
}
},
"captured_at": "2023-11-07T05:31:56Z",
"provenance": {
"event_registry": {},
"event_producer_time": "2023-11-07T05:31:56Z",
"lifecycle_id": "<string>",
"source_contract": "event-linked-decision-lens-v1"
},
"content_hash": "<string>",
"revision_hash": "<string>",
"replayed": true,
"lens_ref": {
"id": "<string>",
"revision": 2
},
"previous_hash": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Trade Context
Resolve Trade Context
GET
/
api
/
graph
/
v1
/
trade-contexts
/
{context_id}
Resolve Trade Context
Path Parameters
Query Parameters
Required range:
x >= 1Response
Successful Response
Allowed value:
"trade-context-v1"Required range:
x >= 1Allowed value:
"none"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[0-9a-f]{64}$Pattern:
^[0-9a-f]{64}$Show child attributes
Show child attributes
Pattern:
^[0-9a-f]{64}$